## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.impl
Class PartitionPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.impl.PartitionPackageImpl

All Implemented Interfaces:
  PartitionPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class PartitionPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements PartitionPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.PartitionPackage
`PartitionPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.PartitionPackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, LIST_RANGE_PARTITION_ITEM, LIST_RANGE_PARTITION_ITEM__COMMENTS, LIST_RANGE_PARTITION_ITEM__DEPENDENCIES, LIST_RANGE_PARTITION_ITEM__DESCRIPTION, LIST_RANGE_PARTITION_ITEM__EANNOTATIONS, LIST_RANGE_PARTITION_ITEM__EXTENSIONS, LIST_RANGE_PARTITION_ITEM__LABEL, LIST_RANGE_PARTITION_ITEM__NAME, LIST_RANGE_PARTITION_ITEM__PARTITION_NAME, LIST_RANGE_PARTITION_ITEM__PRIVILEGES, LIST_RANGE_PARTITION_ITEM__SEGMENT, LIST_RANGE_PARTITION_ITEM__VALUES, LIST_RANGE_PARTITION_ITEM_FEATURE_COUNT, PARTITION_NUM_IN_SEGMENTS, PARTITION_NUM_IN_SEGMENTS__COMMENTS, PARTITION_NUM_IN_SEGMENTS__DEPENDENCIES, PARTITION_NUM_IN_SEGMENTS__DESCRIPTION, PARTITION_NUM_IN_SEGMENTS__EANNOTATIONS, PARTITION_NUM_IN_SEGMENTS__EXTENSIONS, PARTITION_NUM_IN_SEGMENTS__LABEL, PARTITION_NUM_IN_SEGMENTS__NAME, PARTITION_NUM_IN_SEGMENTS__PARTITION_NUMB, PARTITION_NUM_IN_SEGMENTS__PRIVILEGES, PARTITION_NUM_IN_SEGMENTS__SEGMENT, PARTITION_NUM_IN_SEGMENTS_FEATURE_COUNT, PARTITION_SEGMENT_PAIR, PARTITION_SEGMENT_PAIR__COMMENTS, PARTITION_SEGMENT_PAIR__DEPENDENCIES, PARTITION_SEGMENT_PAIR__DESCRIPTION, PARTITION_SEGMENT_PAIR__EANNOTATIONS, PARTITION_SEGMENT_PAIR__EXTENSIONS, PARTITION_SEGMENT_PAIR__LABEL, PARTITION_SEGMENT_PAIR__NAME, PARTITION_SEGMENT_PAIR__PARTITION_NAME, PARTITION_SEGMENT_PAIR__PRIVILEGES, PARTITION_SEGMENT_PAIR__SEGMENT, PARTITION_SEGMENT_PAIR_FEATURE_COUNT, SYBASE_ASE_HASH_PARTITION, SYBASE_ASE_HASH_PARTITION__COLUMNS, SYBASE_ASE_HASH_PARTITION__COMMENTS, SYBASE_ASE_HASH_PARTITION__DEPENDENCIES, SYBASE_ASE_HASH_PARTITION__DESCRIPTION, SYBASE_ASE_HASH_PARTITION__EANNOTATIONS, SYBASE_ASE_HASH_PARTITION__EXTENSIONS, SYBASE_ASE_HASH_PARTITION__LABEL, SYBASE_ASE_HASH_PARTITION__NAME, SYBASE_ASE_HASH_PARTITION__PARTITION_NUM_IN_SEGMENTS, SYBASE_ASE_HASH_PARTITION__PARTITION_SEGMENT_PAIRS, SYBASE_ASE_HASH_PARTITION__PRIVILEGES, SYBASE_ASE_HASH_PARTITION_FEATURE_COUNT, SYBASE_ASE_LIST_PARTITION, SYBASE_ASE_LIST_PARTITION__COLUMN, SYBASE_ASE_LIST_PARTITION__COMMENTS, SYBASE_ASE_LIST_PARTITION__DEPENDENCIES, SYBASE_ASE_LIST_PARTITION__DESCRIPTION, SYBASE_ASE_LIST_PARTITION__EANNOTATIONS, SYBASE_ASE_LIST_PARTITION__EXTENSIONS, SYBASE_ASE_LIST_PARTITION__LABEL, SYBASE_ASE_LIST_PARTITION__LIST_PARTITION_ITEMS, SYBASE_ASE_LIST_PARTITION__NAME, SYBASE_ASE_LIST_PARTITION__PRIVILEGES, SYBASE_ASE_LIST_PARTITION_FEATURE_COUNT, SYBASE_ASE_PARTITION, SYBASE_ASE_PARTITION__COMMENTS, SYBASE_ASE_PARTITION__DEPENDENCIES, SYBASE_ASE_PARTITION__DESCRIPTION, SYBASE_ASE_PARTITION__EANNOTATIONS, SYBASE_ASE_PARTITION__EXTENSIONS, SYBASE_ASE_PARTITION__LABEL, SYBASE_ASE_PARTITION__NAME, SYBASE_ASE_PARTITION__PRIVILEGES, SYBASE_ASE_PARTITION_FEATURE_COUNT, SYBASE_ASE_RANGE_PARTITION, SYBASE_ASE_RANGE_PARTITION__COLUMNS, SYBASE_ASE_RANGE_PARTITION__COMMENTS, SYBASE_ASE_RANGE_PARTITION__DEPENDENCIES, SYBASE_ASE_RANGE_PARTITION__DESCRIPTION, SYBASE_ASE_RANGE_PARTITION__EANNOTATIONS, SYBASE_ASE_RANGE_PARTITION__EXTENSIONS, SYBASE_ASE_RANGE_PARTITION__LABEL, SYBASE_ASE_RANGE_PARTITION__NAME, SYBASE_ASE_RANGE_PARTITION__PRIVILEGES, SYBASE_ASE_RANGE_PARTITION__RANGE_PARTITION_ITEMS, SYBASE_ASE_RANGE_PARTITION_FEATURE_COUNT, SYBASE_ASE_ROUNDROBIN_PARTITION, SYBASE_ASE_ROUNDROBIN_PARTITION__COMMENTS, SYBASE_ASE_ROUNDROBIN_PARTITION__DEPENDENCIES, SYBASE_ASE_ROUNDROBIN_PARTITION__DESCRIPTION, SYBASE_ASE_ROUNDROBIN_PARTITION__EANNOTATIONS, SYBASE_ASE_ROUNDROBIN_PARTITION__EXTENSIONS, SYBASE_ASE_ROUNDROBIN_PARTITION__LABEL, SYBASE_ASE_ROUNDROBIN_PARTITION__NAME, SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_NUM_IN_SEGMENTS, SYBASE_ASE_ROUNDROBIN_PARTITION__PARTITION_SEGMENT_PAIRS, SYBASE_ASE_ROUNDROBIN_PARTITION__PRIVILEGES, SYBASE_ASE_ROUNDROBIN_PARTITION_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` `getListRangePartitionItem_PartitionName()`
`org.eclipse.emf.ecore.EReference` `getListRangePartitionItem_Segment()`
`org.eclipse.emf.ecore.EAttribute` `getListRangePartitionItem_Values()`
`org.eclipse.emf.ecore.EClass` `getListRangePartitionItem()`
`PartitionFactory` `getPartitionFactory()`
`org.eclipse.emf.ecore.EAttribute` `getPartitionNumInSegments_PartitionNumb()`
`org.eclipse.emf.ecore.EReference` `getPartitionNumInSegments_Segment()`
`org.eclipse.emf.ecore.EClass` `getPartitionNumInSegments()`
`org.eclipse.emf.ecore.EAttribute` `getPartitionSegmentPair_PartitionName()`
`org.eclipse.emf.ecore.EReference` `getPartitionSegmentPair_Segment()`
`org.eclipse.emf.ecore.EClass` `getPartitionSegmentPair()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEHashPartition_Columns()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEHashPartition_PartitionNumInSegments()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEHashPartition_PartitionSegmentPairs()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEHashPartition()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEListPartition_Column()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEListPartition_ListPartitionItems()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEListPartition()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEPartition()`
`org.eclipse.emf.ecore.EReference` `getSybaseASERangePartition_Columns()`
`org.eclipse.emf.ecore.EReference` `getSybaseASERangePartition_RangePartitionItems()`
`org.eclipse.emf.ecore.EClass` `getSybaseASERangePartition()`
`org.eclipse.emf.ecore.EReference` `getSybaseASERoundrobinPartition_PartitionNumInSegments()`
`org.eclipse.emf.ecore.EReference` `getSybaseASERoundrobinPartition_PartitionSegmentPairs()`
`org.eclipse.emf.ecore.EClass` `getSybaseASERoundrobinPartition()`
`static PartitionPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static PartitionPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `PartitionPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getSybaseASEPartition

    public org.eclipse.emf.ecore.EClass getSybaseASEPartition()

  Specified by:
    `getSybaseASEPartition` in interface `PartitionPackage`
  Returns:
    the meta object for class 'Sybase ASE Partition'.
  See Also:
    `SybaseASEPartition`

### getSybaseASERangePartition

    public org.eclipse.emf.ecore.EClass getSybaseASERangePartition()

  Specified by:
    `getSybaseASERangePartition` in interface `PartitionPackage`
  Returns:
    the meta object for class 'Sybase ASE Range Partition'.
  See Also:
    `SybaseASERangePartition`

### getSybaseASERangePartition_Columns

    public org.eclipse.emf.ecore.EReference getSybaseASERangePartition_Columns()

  Specified by:
    `getSybaseASERangePartition_Columns` in interface `PartitionPackage`
  Returns:
    the meta object for the reference list 'Columns'.
  See Also:
    `SybaseASERangePartition.getColumns()`, `PartitionPackage.getSybaseASERangePartition()`

### getSybaseASERangePartition_RangePartitionItems

    public org.eclipse.emf.ecore.EReference getSybaseASERangePartition_RangePartitionItems()

  Specified by:
    `getSybaseASERangePartition_RangePartitionItems` in interface `PartitionPackage`
  Returns:
    the meta object for the reference list 'Range Partition Items'.
  See Also:
    `SybaseASERangePartition.getRangePartitionItems()`, `PartitionPackage.getSybaseASERangePartition()`

### getSybaseASEHashPartition

    public org.eclipse.emf.ecore.EClass getSybaseASEHashPartition()

  Specified by:
    `getSybaseASEHashPartition` in interface `PartitionPackage`
  Returns:
    the meta object for class 'Sybase ASE Hash Partition'.
  See Also:
    `SybaseASEHashPartition`

### getSybaseASEHashPartition_Columns

    public org.eclipse.emf.ecore.EReference getSybaseASEHashPartition_Columns()

  Specified by:
    `getSybaseASEHashPartition_Columns` in interface `PartitionPackage`
  Returns:
    the meta object for the reference list 'Columns'.
  See Also:
    `SybaseASEHashPartition.getColumns()`, `PartitionPackage.getSybaseASEHashPartition()`

### getSybaseASEHashPartition_PartitionSegmentPairs

    public org.eclipse.emf.ecore.EReference getSybaseASEHashPartition_PartitionSegmentPairs()

  Specified by:
    `getSybaseASEHashPartition_PartitionSegmentPairs` in interface `PartitionPackage`
  Returns:
    the meta object for the reference list 'Partition Segment Pairs'.
  See Also:
    `SybaseASEHashPartition.getPartitionSegmentPairs()`, `PartitionPackage.getSybaseASEHashPartition()`

### getSybaseASEHashPartition_PartitionNumInSegments

    public org.eclipse.emf.ecore.EReference getSybaseASEHashPartition_PartitionNumInSegments()

  Specified by:
    `getSybaseASEHashPartition_PartitionNumInSegments` in interface `PartitionPackage`
  Returns:
    the meta object for the reference 'Partition Num In Segments'.
  See Also:
    `SybaseASEHashPartition.getPartitionNumInSegments()`, `PartitionPackage.getSybaseASEHashPartition()`

### getSybaseASEListPartition

    public org.eclipse.emf.ecore.EClass getSybaseASEListPartition()

  Specified by:
    `getSybaseASEListPartition` in interface `PartitionPackage`
  Returns:
    the meta object for class 'Sybase ASE List Partition'.
  See Also:
    `SybaseASEListPartition`

### getSybaseASEListPartition_Column

    public org.eclipse.emf.ecore.EReference getSybaseASEListPartition_Column()

  Specified by:
    `getSybaseASEListPartition_Column` in interface `PartitionPackage`
  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `SybaseASEListPartition.getColumn()`, `PartitionPackage.getSybaseASEListPartition()`

### getSybaseASEListPartition_ListPartitionItems

    public org.eclipse.emf.ecore.EReference getSybaseASEListPartition_ListPartitionItems()

  Specified by:
    `getSybaseASEListPartition_ListPartitionItems` in interface `PartitionPackage`
  Returns:
    the meta object for the reference list 'List Partition Items'.
  See Also:
    `SybaseASEListPartition.getListPartitionItems()`, `PartitionPackage.getSybaseASEListPartition()`

### getSybaseASERoundrobinPartition

    public org.eclipse.emf.ecore.EClass getSybaseASERoundrobinPartition()

  Specified by:
    `getSybaseASERoundrobinPartition` in interface `PartitionPackage`
  Returns:
    the meta object for class 'Sybase ASE Roundrobin Partition'.
  See Also:
    `SybaseASERoundrobinPartition`

### getSybaseASERoundrobinPartition_PartitionSegmentPairs

    public org.eclipse.emf.ecore.EReference getSybaseASERoundrobinPartition_PartitionSegmentPairs()

  Specified by:
    `getSybaseASERoundrobinPartition_PartitionSegmentPairs` in interface `PartitionPackage`
  Returns:
    the meta object for the reference list 'Partition Segment Pairs'.
  See Also:
    `SybaseASERoundrobinPartition.getPartitionSegmentPairs()`, `PartitionPackage.getSybaseASERoundrobinPartition()`

### getSybaseASERoundrobinPartition_PartitionNumInSegments

    public org.eclipse.emf.ecore.EReference getSybaseASERoundrobinPartition_PartitionNumInSegments()

  Specified by:
    `getSybaseASERoundrobinPartition_PartitionNumInSegments` in interface `PartitionPackage`
  Returns:
    the meta object for the reference 'Partition Num In Segments'.
  See Also:
    `SybaseASERoundrobinPartition.getPartitionNumInSegments()`, `PartitionPackage.getSybaseASERoundrobinPartition()`

### getPartitionSegmentPair

    public org.eclipse.emf.ecore.EClass getPartitionSegmentPair()

  Specified by:
    `getPartitionSegmentPair` in interface `PartitionPackage`
  Returns:
    the meta object for class 'Segment Pair'.
  See Also:
    `PartitionSegmentPair`

### getPartitionSegmentPair_PartitionName

    public org.eclipse.emf.ecore.EAttribute getPartitionSegmentPair_PartitionName()

  Specified by:
    `getPartitionSegmentPair_PartitionName` in interface `PartitionPackage`
  Returns:
    the meta object for the attribute 'Partition Name'.
  See Also:
    `PartitionSegmentPair.getPartitionName()`, `PartitionPackage.getPartitionSegmentPair()`

### getPartitionSegmentPair_Segment

    public org.eclipse.emf.ecore.EReference getPartitionSegmentPair_Segment()

  Specified by:
    `getPartitionSegmentPair_Segment` in interface `PartitionPackage`
  Returns:
    the meta object for the reference 'Segment'.
  See Also:
    `PartitionSegmentPair.getSegment()`, `PartitionPackage.getPartitionSegmentPair()`

### getPartitionNumInSegments

    public org.eclipse.emf.ecore.EClass getPartitionNumInSegments()

  Specified by:
    `getPartitionNumInSegments` in interface `PartitionPackage`
  Returns:
    the meta object for class 'Num In Segments'.
  See Also:
    `PartitionNumInSegments`

### getPartitionNumInSegments_PartitionNumb

    public org.eclipse.emf.ecore.EAttribute getPartitionNumInSegments_PartitionNumb()

  Specified by:
    `getPartitionNumInSegments_PartitionNumb` in interface `PartitionPackage`
  Returns:
    the meta object for the attribute 'Partition Numb'.
  See Also:
    `PartitionNumInSegments.getPartitionNumb()`, `PartitionPackage.getPartitionNumInSegments()`

### getPartitionNumInSegments_Segment

    public org.eclipse.emf.ecore.EReference getPartitionNumInSegments_Segment()

  Specified by:
    `getPartitionNumInSegments_Segment` in interface `PartitionPackage`
  Returns:
    the meta object for the reference list 'Segment'.
  See Also:
    `PartitionNumInSegments.getSegment()`, `PartitionPackage.getPartitionNumInSegments()`

### getListRangePartitionItem

    public org.eclipse.emf.ecore.EClass getListRangePartitionItem()

  Specified by:
    `getListRangePartitionItem` in interface `PartitionPackage`
  Returns:
    the meta object for class 'List Range Partition Item'.
  See Also:
    `ListRangePartitionItem`

### getListRangePartitionItem_PartitionName

    public org.eclipse.emf.ecore.EAttribute getListRangePartitionItem_PartitionName()

  Specified by:
    `getListRangePartitionItem_PartitionName` in interface `PartitionPackage`
  Returns:
    the meta object for the attribute 'Partition Name'.
  See Also:
    `ListRangePartitionItem.getPartitionName()`, `PartitionPackage.getListRangePartitionItem()`

### getListRangePartitionItem_Values

    public org.eclipse.emf.ecore.EAttribute getListRangePartitionItem_Values()

  Specified by:
    `getListRangePartitionItem_Values` in interface `PartitionPackage`
  Returns:
    the meta object for the attribute list 'Values'.
  See Also:
    `ListRangePartitionItem.getValues()`, `PartitionPackage.getListRangePartitionItem()`

### getListRangePartitionItem_Segment

    public org.eclipse.emf.ecore.EReference getListRangePartitionItem_Segment()

  Specified by:
    `getListRangePartitionItem_Segment` in interface `PartitionPackage`
  Returns:
    the meta object for the reference 'Segment'.
  See Also:
    `ListRangePartitionItem.getSegment()`, `PartitionPackage.getListRangePartitionItem()`

### getPartitionFactory

    public PartitionFactory getPartitionFactory()

  Specified by:
    `getPartitionFactory` in interface `PartitionPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.